terraform {
  required_providers {
    proxmox = {
      source  = "bpg/proxmox"
      version = "0.70.1" # Using a stable version
    }
  }
}

provider "proxmox" {
  endpoint = var.pve_endpoint
  api_token = "${var.pve_token_id}=${var.pve_token_secret}"
  insecure = true # Skip SSL check since we use internal IPs
}